Subject: Re: git log filtering

From: Jakub Narebski <[email-masked]>
Date: Wed, 07 Feb 2007 17:55:07 +0100

[Cc: [email-masked]]

Don Zickus wrote:

> I was curious to know what is the easiest way to filter info inside a
> commit message.
> 
> For example say I wanted to find out what patches Joe User has
> submitted to the git project.
>
> I know I can do something like ' git log |grep -B2 "^Author: Joe User"
> ' and it will output the matches and the commit id.  However, if I
> wanted to filter on something like "Signed-off-by: Joe User", then it
> is a little harder to dig for the commit id.
> 
> Is there a better way of doing this?  Or should I accept the fact that
> git wasn't designed to filter info like this very quickly?

You can use "git log --grep=<pattern>" for that, instead. This greps
raw commit message. You can use --author and --comitter to grep those
headers.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git